<app-header [buttonTitle]="''" [buttonIcon]="''" [title]="'Συναλλαγές'" [hasAction]="false"></app-header>

<div fxLayout="column">

  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" fxFlex="100">

    <label>Εύρος συναλλαγών</label>
    <mat-form-field>
      <mat-select [(ngModel)]="selectedPeriod" (selectionChange)="search()">
        <mat-option *ngFor="let period of searchAt" [value]="period">{{period.description}}</mat-option>
      </mat-select>
    </mat-form-field>

  <ng-container *ngIf="displayRange then ShowDates"></ng-container>
  </div>

  <ng-template #ShowDates>
    <label>Από</label>
    <mat-form-field fxFlex="10" appearance="outline">
      <input matInput [matDatepicker]="pickerFrom" [(ngModel)]="from">
      <mat-datepicker #pickerFrom></mat-datepicker>
    </mat-form-field>
    <mat-datepicker-toggle matIconSuffix [for]="pickerFrom"></mat-datepicker-toggle>

    <label>-</label>

    <label>Έως</label>
    <mat-form-field fxFlex="10" appearance="outline">
      <input matInput [matDatepicker]="pickerTo" [(ngModel)]="to">
      <mat-datepicker #pickerTo></mat-datepicker>
    </mat-form-field>
    <mat-datepicker-toggle matIconSuffix [for]="pickerTo"></mat-datepicker-toggle>

    <button mat-flat-button (click)="searchBetweenDates()"><mat-icon>search</mat-icon></button>
  </ng-template>


  <div fxLayout="column">

    <div fxLayout="row" [style.height.px]="tableHeight">
      <mat-table [dataSource]="displayTransactions" [style.height.px]="tableHeight-10" style="overflow-y: auto;">

        <ng-container matColumnDef="firstName">
          <mat-header-cell *matHeaderCellDef>Όνομα πελάτη</mat-header-cell>
          <mat-cell *matCellDef="let element">{{element.customer.firstName}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="lastName">
          <mat-header-cell *matHeaderCellDef>Επώνυμο πελάτη</mat-header-cell>
          <mat-cell *matCellDef="let element">{{element.customer.lastName}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="dateCreated">
          <mat-header-cell *matHeaderCellDef>Ημερομηνία συναλλαγής</mat-header-cell>
          <mat-cell *matCellDef="let element">{{element.dateCreated}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="price">
          <mat-header-cell *matHeaderCellDef>Ποσό συναλλαγής</mat-header-cell>
          <mat-cell *matCellDef="let element">{{element.price}} €</mat-cell>
        </ng-container>

        <mat-header-row *matHeaderRowDef="displayedColumns sticky: true"></mat-header-row>
        <mat-row *matRowDef="let row; columns: displayedColumns; "></mat-row>
      </mat-table>
    </div>

    <div fxLayout="row"></div>

  </div>
</div>
